{% from '@Macro/Home.html.twig' import
    getSubjectAuthor,
    getQuizAuthor,
    getLeitnerAuthor,
    getResourceAuthor,
    getAccountAuthor,
    getLogoutAuthor,
    getLoginAuthor
%}

{% set features = {
    "subject": {
        "name": "Sujets",
        "link": url('app_topic_list'),
        "img": asset('/images/subject.jpg'),
        "author": getSubjectAuthor()
    },
    "quiz":  {
        "name": "Quizz",
        "link": '#',
        "img": asset('/images/quiz.jpg'),
        "author": getQuizAuthor()
    },
    "leitner":  {
        "name": "Boîtes de leitner",
        "link": '#',
        "img": asset('/images/leitner.jpg'),
        "author": getLeitnerAuthor()
    },
    "resources": {
        "name": "Comment apprendre ?",
        "link": url('app_how_to_learn'),
        "img": asset('/images/how-to-learn.jpg'),
        "author": getResourceAuthor()
    }
} %}

{% if app.user is not null %}
    {% set features = features|merge({
        'profile':{
            'name': 'Mon profil',
            'link': '#',
            "img": asset('/images/profile.jpg'),
            "author": getAccountAuthor()
        },
        'logout':{
            'name': 'Se déconnecter',
            'link': url('app_logout'),
            "img": asset('/images/logout.jpg'),
            "author": getLogoutAuthor()
        }
    }) %}
{% else %}
    {% set features = features|merge({
        'login': {
            'name': 'Se connecter',
            'link': url('app_login'),
            "img": asset('/images/login.jpg'),
            "author": getLoginAuthor()
        }
    }) %}
{% endif %}

<twig:Templates:CardListPage mainTitle='Bienvenue sur Eleco'>
    {% for feature in features %}
        <twig:Molecules:Card:CardWithImageOnBottom
                link="{{ feature.link }}"
                title="{{ feature.name }}"
                imgPath="{{ feature.img ?? '' }}"
                author="{{ feature.author ?? '' }}"
        />
    {% endfor %}
</twig:Templates:CardListPage>